@import url("https://use.typekit.net/axi3rwm.css");

:root {
	--wp--preset--font-family--baloo: "montserrat", sans-serif;
}

body {
	font-family: "montserrat", sans-serif;
}

body:not(.page-id-682) header:not(.sticky) .custom-logo-link img {
	opacity: 0;	
}

.header {
	aspect-ratio: 1920/949;
}

.header .contest-badge {
	background: #ffb616;
	color: #fff;
    padding: 1.5rem 1.5rem 1rem;
    width: fit-content;
    font-size: 3vw;
    font-weight: 700;
    text-transform: uppercase;
    line-height: 1;
    border-radius: 0 0 1rem 1rem;
}

.header .logos {
	display: block !important;
}

.header .logos img {
	max-width: auto;
	width: 57%;
}

h2.wp-block-heading {
    font-size: clamp(2.25rem, 2.25rem + ((1vw - 0.2rem) * 1.066), 4rem);
    font-weight: bold;
    text-transform: uppercase;
	font-weight: 900;
}

button.purple-button,
input[type="submit"].purple-button,
.purple-button a {
    border-color: #1f0c64 !important;
    background-color: #1f0c64;
    color: #fff;
	font-weight: 700;
}

button.purple-button:hover,
input[type="submit"].purple-button:hover,
.purple-button a::before {
    background-color: #fff !important;
}

button.purple-button:hover,
input[type="submit"].purple-button:hover,
.purple-button a:hover {
    color: #271974 !important;
}

button.yellow-button,
input[type="submit"].yellow-button,
.yellow-button a {
    border-color: #ffb616 !important;
    background-color: #ffb616;
    color: #fff;
	font-weight: 700;
}

button.yellow-button:hover,
input[type="submit"].yellow-button:hover,
.yellow-button a::before {
    background-color: #fff !important;
}

button.yellow-button:hover,
input[type="submit"].yellow-button:hover,
.yellow-button a:hover {
    color: #ffb616 !important;
}

button.cyan-button,
input[type="submit"].cyan-button,
.cyan-button a {
    border-color: #00d5c6 !important;
    background-color: #00d5c6;
    color: #fff;
	font-weight: 700;
}

button.cyan-button:hover,
input[type="submit"].cyan-button:hover,
.cyan-button a::before {
    background-color: #fff !important;
}

button.cyan-button:hover,
input[type="submit"].cyan-button:hover,
.cyan-button a:hover {
    color: #00d5c6 !important;
}

.btn-arrow a::after,
.btn-arrow button::after {
	content: '';
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 44.4387 44.4387"><!-- Generator: Adobe Illustrator 30.4.0, SVG Export Plug-In . SVG Version: 2.1.4 Build 226) --><path d="M14.2153,44.4394c-1.234,0-2.457-.461-3.395-1.392-1.872-1.875-1.872-4.913,0-6.79l14.032-14.039-14.034-14.03c-1.873-1.877-1.873-4.913,0-6.785,1.874-1.872,4.91-1.872,6.78,0l17.427,17.427v6.78l-17.425,17.437c-.936.931-2.163,1.392-3.385,1.392" fill="%23fff"/></svg>');
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
    margin-right: -1rem;
    margin-left: 1.2rem;
    transform: translateY(.1rem);
	transition: all .3s ease-in-out;
}


.cyan-button:hover.btn-arrow button:hover::after,
.cyan-button.btn-arrow a:hover::after{
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 44.4387 44.4387"><!-- Generator: Adobe Illustrator 30.4.0, SVG Export Plug-In . SVG Version: 2.1.4 Build 226) --><path d="M14.2153,44.4394c-1.234,0-2.457-.461-3.395-1.392-1.872-1.875-1.872-4.913,0-6.79l14.032-14.039-14.034-14.03c-1.873-1.877-1.873-4.913,0-6.785,1.874-1.872,4.91-1.872,6.78,0l17.427,17.427v6.78l-17.425,17.437c-.936.931-2.163,1.392-3.385,1.392" fill="%2300d5c6"/></svg>');
}


.rules-decor img {
	width: 25vw !important;
}

.koleo-decor {
    position: relative;
    width: fit-content;
    margin-left: auto;
    margin-right: 4vw;
}

.koleo-decor img {
    width: 16vw !important;
}

.prize-4 img {
	width: 100%;
    max-width: 500%;
    margin-top: -4%;
    margin-left: 4%;
    margin-bottom: -10%;
}

#registration {
    color: #fff !important;
}

#registration .cf7-workshop .cf7w-check label {
    padding: 0;
}

#registration .cf7-workshop .cf7w-grid {
    gap: 1rem;
}

#registration .cf7-workshop .cf7w-field input,
#registration .cf7-workshop .cf7w-field select,
#registration .cf7-workshop .cf7w-field textarea {
    border-radius: 1rem;
}

#registration .cf7-workshop .cf7w-field>span {
    text-align: center;
}

#registration .cf7-workshop .cf7w-field>.wpcf7-form-control-wrap,
#registration .wpcf7-acceptance span {
    color: #fff !important;
    font-weight: normal !important;
}

#registration .file-field input {
    display: none;
}

#registration .file-field .file-form-control-wrap {
    display: block;
    position: relative !important;
    height: auto !important;
    opacity: 1 !important;
    background: #fff;
    border-radius: 1rem;
    padding: 1rem 2rem;
    font-size: 3rem !important;
    text-align: center;
    text-transform: uppercase;
    color: #007ef7 !important;
    cursor: pointer;
}

#registration .cf7-workshop .cf7w-check input[type=checkbox] {
    border: 1px solid #fff;
    background: transparent;
    margin: 0;
    width: 1.5rem;
    height: 1.5rem;
}

#registration .cf7-workshop .cf7w-check input[type=checkbox]:checked {
    background: #ffffff !important;
}

#registration .cf7-workshop .cf7w-check input[type=checkbox]:checked::after {
    background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 16 12' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 6l4 4L15 1' stroke='%231f0c64' stroke-width='2.2' fill='none' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
    background-position: center;
    background-repeat: no-repeat;
    background-size: .8rem;
}

#registration .cf7-workshop .wpcf7-not-valid-tip {
    position: relative !important;
}

@media (max-width: 767px) {
	.header {
		aspect-ratio: 9/20;
	}	
	
	.wp-block-kadence-advancedheading.kt-adv-heading486_a56989-37, .wp-block-kadence-advancedheading.kt-adv-heading486_a56989-37[data-kb-block="kb-adv-heading486_a56989-37"] {
		font-size: 16vw !important;
	}
	
	.wp-block-kadence-advancedheading.kt-adv-heading486_245b63-71, .wp-block-kadence-advancedheading.kt-adv-heading486_245b63-71[data-kb-block="kb-adv-heading486_245b63-71"] {
		font-size: 13vw !important;
	}
	
	.header .home-btn {
		justify-content: center;
	}
	
	.header .logos img {
		width: 85%;
    	margin: 0 auto;
	}
	
	.wp-block-kadence-image.kb-image486_31cbd0-24:not(.kb-specificity-added):not(.kb-extra-specificity-added) { 
		display: none;
	}
	
	.prize-4 img {
		width: 100%;
		max-width: 500%;
		margin-top: 0;
		margin-left: 0;
		margin-bottom: 0;
	}
	
	#registration .file-field .file-form-control-wrap {
		font-size: 5vw !important;
	}
}